<?php
/**
 * @package Recent Forum Topics
 * @version 1.2
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2014, Pipke
 *
 * This SMF modification is subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this SMF modification except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/   
 */

function template_rft_above()
{
	global $context, $settings, $scripturl, $modSettings, $txt, $boarddir;
			
		echo'
		<div class="tborder topic_table" id="messageindex">
		<table class="table_grid" cellspacing="0">
			<thead>
				<tr class="catbg">';
		// Are there actually any topics to show?
		if (!empty($context['posts']))
		{
		// The navigation pages and numbers.
		$sum=0;
		$class ='windowbg';
		foreach ($context['posts'] as $sum) {}
			if ($modSettings['rft_firstcolumn'] && $modSettings['rft_secondcolumn'])
				echo '<th scope="col" class="first_th" width="8%" colspan="2">&nbsp;</th>';				
			elseif ((!$modSettings['rft_firstcolumn'] && $modSettings['rft_secondcolumn']) || ($modSettings['rft_firstcolumn'] && !$modSettings['rft_secondcolumn']))
				echo '<th scope="col" class="first_th" width="4%" colspan="1">&nbsp;</th>';
			else
				$class ='first_th';
			
					if (empty($modSettings['rft_counter_viewnumbers'])){
					echo'<th scope="col" class="lefttext ',$class,'" >', $txt['rft_name'], ' / ', $txt['started_by'], ' / ', $txt['rft_in_Board'], '</th>';
					}
					else {
					echo'<th scope="col" class="lefttext ',$class,'" >', $txt['rft_name'], ' <span style="color: #'.$modSettings['rft_color_viewnumbers'].';">&laquo; ', $counter = $_REQUEST['start'] + 1 ,' '.$txt['rft_to'].' ', $sum['counter'], ' &raquo;</span> / ', $txt['started_by'], ' / ', $txt['rft_in_Board'], '</th>';
					}
					echo'
					<th scope="col" width="15%">', $txt['replies'], ' / ', $txt['views'], '</th>
					<th scope="col" class="lefttext last_th" width="24%">', $txt['last_post'], '</th>';		
		}
		// No topics.... just say, "sorry bub".
		else
		{
			echo '
					<th scope="col" class="first_th" width="8%">&nbsp;</th>
					<th colspan="3"><strong>', $txt['msg_alert_none'], '</strong></th>
					<th scope="col" class="last_th" width="8%">&nbsp;</th>';
		}
			echo'
				</tr>
			</thead>
		<div class="pagesection">
		<div class="pagelinks floatleft">', $txt['pages'], ': ', $context['page_index'], '</div>';
		if (($context['user']['is_logged']) && (!empty($modSettings['rft_menubuttons'])))
		echo'
		<div class="buttonlist floatright">
			<ul>
				<li><a class="button_strip" href="', $scripturl, '?action=profile;area=showposts"><span>', rtrim($txt['rft_show_all_posts'],"."),'</span></a></li>
				<li><a class="button_strip" href="', $scripturl, '?action=unread"><span>', rtrim($txt['unread_since_visit'],"."),'</span></a></li>
				<li><a class="button_strip" href="', $scripturl, '?action=unreadreplies"><span>', rtrim($txt['show_unread_replies'],"."), '</span></a></li>
			</ul>
		</div>
		';
		echo'
	</div>';
	// The main thingy
	foreach ($context['posts'] as $post)		
	{
		// Check for posts in topics where the user has posted in. (assuming they are logged in!)
		if (!empty($modSettings['enableParticipation']) && $context['user']['is_logged'] && !empty($post['topic']))
			if (in_array($post['topic'], $context['posted_topics']))	
			$post['is_own_post'] = true;
		// Setup the icons (yeah i know scripting can better i'm lazy)
			$icon_postls = ''; // to be sure
		// We start with hot and real hot topics uhm autch.
		if ($post['is_hot'] && $post['is_very_hot']) 
			$icon_post1 = 'veryhot';
		elseif ($post['is_hot'])
			$icon_post1 = 'hot';
		else
			$icon_post1 = 'normal';
		// Poll posts...
		if (!empty($post['is_poll']))
			$icon_post2 = $icon_post1 . '_poll';	
		else
			$icon_post2 = $icon_post1 . '_post';				
		// Next we start with locked and sticky topics.
		if ($post['is_sticky'] && $post['is_locked']) 
			$color_class = 'stickybg locked_sticky';
		// Sticky topics should get a different color, too.
		elseif ($post['is_sticky']) {
			$color_class = 'stickybg';
			$icon_postls = '_sticky';
			}
		// Locked topics get special treatment as well.
		elseif ($post['is_locked']) {
			$color_class = 'lockedbg';
			$icon_postls = '_locked';
			}
		// Almost last, but not least: regular topics.
		else {
			$color_class = 'windowbg';
			$icon_post3 = $icon_post2 . $icon_postls;				
			}
		// Some columns require a different shade of the color class.
			$alternate_class = $color_class . '2';			
		if ($post['is_sticky'] && $post['is_locked'])
			$icon_post3 = $icon_post2 . '_locked_sticky';
		elseif ($post['is_sticky']) 
			$icon_post3 = $icon_post2 . '_sticky';
		elseif ($post['is_locked']) 
			$icon_post3 = $icon_post2 . '_locked';				
		else
			$icon_post3 = $icon_post2;			
		// Set the icon for posted in topics.(is_own_post)	
		if ($post['is_own_post'])
			$icon_post3 = 'my_' . $icon_post3;			
		// Check for solved topics.	
		if (!empty($modSettings['rft_topic_solved']) && (!empty($post['is_solved'])))
			$post['icon'] = 'topicsolved';
		// Template 		
		echo'<tr>';
			if ($modSettings['rft_firstcolumn'] && $modSettings['rft_secondcolumn'])
			{
				echo '
				<td class="icon1 ', $color_class, '">
					<img src="', $settings['images_url'], '/topic/' . $icon_post3 . '.gif" alt="" />
				</td>
				<td class="icon2 ', $color_class, '">
					<img src="', $settings['images_url'], '/post/', $post['icon'], '.gif" alt="" />
				</td>';
			}				
			if ($modSettings['rft_firstcolumn'] && !$modSettings['rft_secondcolumn'])
			{
				echo '<td class="icon1 ', $color_class, '">
						<img src="', $settings['images_url'], '/topic/' . $icon_post3 . '.gif" alt="" />
					</td>';
			}
			if (!$modSettings['rft_firstcolumn'] && $modSettings['rft_secondcolumn'])
			{
				echo'<td class="icon2 ', $color_class, '">
					<img src="', $settings['images_url'], '/post/', $post['icon'], '.gif" alt="" />
				</td>';
			}		
			echo '<td class="subject ', $alternate_class, '">';
			
			if (!empty($modSettings['rft_firstpostlinkicon']))
				echo'<a href="' . $scripturl . '?topic=' . $post['topic'] , '.0"><img style="float:right; padding: 4px;" src="', $settings['images_url'], '/icons/first_post.gif" alt="', $txt['rft_first_post'], '" title="', $txt['rft_first_post'], '" /></a>';
			
			// link to first or last topic message? 
			if (!empty($modSettings['rft_link_topics']) && ($modSettings['rft_link_topics'] == 'last'))
				echo'', $post['is_sticky'] ? '<strong>' : '', '<span>', $post['linklast'],'</span>', $post['is_sticky'] ? '</strong>' : '';
				
			if (!empty($modSettings['rft_link_topics']) && ($modSettings['rft_link_topics'] == 'first'))
				echo'', $post['is_sticky'] ? '<strong>' : '', '<span>', $post['linkfirst'],'</span>', $post['is_sticky'] ? '</strong>' : '';
			
			// Is this post new? (assuming they are logged in!)
			if ($post['new'] && $context['user']['is_logged'])
				echo '			
						<a href="', $post['new_href'], '" /></a>';					
				echo'	
						<p>', $txt['started_by'], ' ', $post['first_poster']['link'] ,' ', $txt['on'], ' ', $post['timelast'],' ', $txt['in'], ' ', $post['board']['link'], '</p>
				</td>
				<td class="stats ', $color_class, '">
						', $post['replies'], ' ', $txt['replies'], '
						<br />
						', $post['views'], ' ', $txt['views'], '
				</td>
				<td class="lastpost ', $alternate_class, '">';
			
			if (!empty($modSettings['rft_lastpostlinkicon']))
				echo'<a href="', $post['href'], '"><img src="', $settings['images_url'], '/icons/last_post.gif" alt="', $txt['last_post'], '" title="', $txt['last_post'], '" /></a>';
				echo'', $txt['by'], ' ', $post['poster']['link'], ' <br /> ', $txt['on'], ' ', $post['timefirst'], '</span>							
				</td>
		</tr>';
	}
	echo'</table></div><br />';
	
	if (!empty($modSettings['rft_postingicons']))
	echo'
	<div id="posting_icons" class="floatleft">
		<ul class="reset">', !empty($modSettings['enableParticipation']) && $context['user']['is_logged'] ? '
			<li class="floatleft"><img src="' . $settings['images_url'] . '/topic/my_normal_post.gif" alt="" align="middle" /> ' . $txt['participation_caption'] . '<br />' : '', '</li>
			<li class="floatleft"><img src="' . $settings['images_url'] . '/topic/normal_post.gif" alt="" align="middle" /> ' . $txt['normal_topic'] . '</li>
			<li class="floatleft"><img src="' . $settings['images_url'] . '/topic/hot_post.gif" alt="" align="middle" /> ' . $txt['rft_Hot_Topic'] . '</li>
			<li class="floatleft"><img src="' . $settings['images_url'] . '/topic/veryhot_post.gif" alt="" align="middle" /> ' . $txt['rft_Very_Hot_Topic'] . '</li>
			<li class="floatleft"><img src="' . $settings['images_url'] . '/icons/quick_lock.gif" alt="" align="middle" /> ' . $txt['locked_topic'] . '<br />' . ($modSettings['enableStickyTopics'] == '1' ? '</li>
			<li class="floatleft"><img src="' . $settings['images_url'] . '/icons/quick_sticky.gif" alt="" align="middle" /> ' . $txt['sticky_topic'] . '<br />' : '') . ($modSettings['pollMode'] == '1' ? '</li>
			<li class="floatleft"><img src="' . $settings['images_url'] . '/topic/normal_poll.gif" alt="" align="middle" /> ' . $txt['poll'] : '') . '</li>
		</ul>
	</div><span class="clear upperframe"></span>';

	// fix/reload 'hook' if collapse boards (for selecting more pages) 
	if (($current_action = 'index') && (isset($_REQUEST['action']) && $_REQUEST['action'] == 'collapse'))
		redirectexit('action=forum');
}

function template_rft_below()
{
// none, not using yet, maybe in future...
}

?>