<?php
/**
 * @package Recent Forum Topics
 * @version 1.2
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2014, Pipke
 *
 * This SMF modification is subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this SMF modification except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/   
 */

//Menus
$txt['rft_name'] = 'Recent Forum Topics';
$txt['rft_settings_title'] = 'Settings Recent Forum Topics';

//Numbers
$txt['rft_3'] = '3';
$txt['rft_4'] = '4';
$txt['rft_5'] = '5';
$txt['rft_6'] = '6';
$txt['rft_7'] = '7';
$txt['rft_8'] = '8';
$txt['rft_9'] = '9';
$txt['rft_10'] = '10&nbsp;';

//Configuration
$txt['rft_enable'] = 'Enable Recent Forum Topics on Boardindex:';
$txt['rft_enable_sub'] = 'This is the master setting, it needs to be enabled for the mod to work.';
$txt['rft_numbertopics'] = 'Number of Recent Forum Topics per page:';
$txt['rft_first'] = 'First post&nbsp;';
$txt['rft_last'] = 'Last post';
$txt['rft_subject_topics'] = 'Select topics subject by first/last post:';
$txt['rft_subject_topics_sub'] = 'Subject icon also changes with it.';
$txt['rft_link_topics'] = 'Select link from topics subject to first/last post:'; 
$txt['rft_link_topics_sub'] = 'The <i>new</i> icon link will be excluded.';
$txt['rft_counter_viewnumbers'] = 'Show <i> &laquo; counter topics &raquo;</i> numbers:';
$txt['rft_color_viewnumbers'] = 'Specify the color of the <i> &laquo; counter topics &raquo;</i> numbers:';
$txt['rft_color_viewnumbers_sub'] = 'To suit your forum theme, enter an valid HEX color (only numbers allowed)';
$txt['rft_linktree'] = 'Show Recent Forum Topics linktree:';
$txt['rft_firstpostlinkicon'] = 'Show first post link icon:';
$txt['rft_lastpostlinkicon'] = 'Show last post link icon:';
$txt['rft_firstcolumn'] = 'Show first <i> &laquo; post icon &raquo;</i> column:';
$txt['rft_secondcolumn'] = 'Show second <i> &laquo; message icon &raquo;</i> column:';
$txt['rft_menubuttons'] = 'Show the above quicklink buttons about user\'s posts:';
$txt['rft_postingicons'] = 'Show the below topic description posting icons:';
$txt['rft_disable_smfrecentposts'] = 'Disable SMF '.$txt['recent_posts'].' from the info center block!:';
$txt['rft_topic_solvednote'] = 'This<b> Recent Forum Topics Mod</b> works with the <b>Topic Solved Mod Version 1.1.1</b> (ID mod=1601)';
$txt['rft_topic_solved'] = 'Check this if you have the Topic Solved Mod installed:';
$txt['rft_topic_solved_sub'] = 'Uncheck if you have this package not/uninstalled. (this is for the icon)';
$txt['rft_portal'] = 'Disable Recent Forum Topics only from the Frontpage with SimplePortal';
$txt['rft_portal_sub'] = 'Do this only when you have the SimplePortal Mod installed: Portal Mode => Front Page';
$txt['rft_portalnote'] = 'This<b> Recent Forum Topics Mod</b> works also with SimplePortal when <b>Portal Mode => Front Page</b> is selected in Configuration.';
$txt['rft_show_all_posts'] = 'Show all your posts';
$txt['rft_to'] = 'to';

//Layout
$txt['rft_in_Board'] = 'in Board';
$txt['rft_first_post'] = 'First Post';
$txt['rft_Hot_Topic'] = 'Hot Topic';
$txt['rft_Very_Hot_Topic'] = 'Very Hot Topic';

//Errors
$txt['rft_error_color'] = '<div style="text-align:center;">Recent Forum Topics Error: Cannot save the hex color data of the<i> &laquo; counter topics &raquo;</i> numbers!</div>';

?>