<?php
/**
 * @package Recent Forum Topics
 * @version 1.0
 * @Author: Pipke(AdemaStudios)
 * @copyright Copyright (C) 2014, Pipke
 *
 * This SMF modification is subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this SMF modification except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/   
 */

global $smcFunc;
 
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot uninstall - please verify you put this in the same place as SMF\'s index.php.');

//Remove hooks
$hooks = array(
	'integrate_pre_include' => '$sourcedir/Subs-RecentForumTopics.php',
	'integrate_menu_buttons' => 'rft_copyright',
	'integrate_modify_modifications' => 'rft_mod_settings',
	'integrate_admin_areas' => 'rft_mod_admin',
	'integrate_load_theme' => 'rft_load_themes',
	'integrate_menu_buttons' => 'rft_copyright',
	);

foreach ($hooks as $hook => $function)
	remove_integration_function($hook, $function);

//Remove db-settings
$smcFunc['db_query']('', "DELETE FROM {db_prefix}settings WHERE variable LIKE 'rft_%'");

?>